package com.heyu.api.data.service.calca;
/**
* <p>
* 充值记录表 服务类
* </p>
*
* @author quyixiao
* @since 2025-03-04
*/
import com.baomidou.mybatisplus.extension.service.IService;
import com.heyu.api.data.entity.calca.CalcaRechargeLogEntity;
public interface CalcaRechargeLogService extends IService<CalcaRechargeLogEntity> {



	CalcaRechargeLogEntity selectCalcaRechargeLogById(Long id);


	Long insertCalcaRechargeLog(CalcaRechargeLogEntity calcaRechargeLog);


	Long insertOrUpdateCalcaRechargeLog(CalcaRechargeLogEntity calcaRechargeLog);


	int updateCalcaRechargeLogById(CalcaRechargeLogEntity calcaRechargeLog);


	int updateCoverCalcaRechargeLogById(CalcaRechargeLogEntity calcaRechargeLog);


	int deleteCalcaRechargeLogById(Long id);


}